### Enumeration

# Rest MemoryUse

#### Declaration

    enum Rest.MemoryUse

#### Description

No description available.

#### Members

Name | Description
--- | ---
`REST_MEMORY_STATIC` | The memory block can be assumed to always exist for the lifetime of the parameter, `RestParam` will use it directly.
`REST_MEMORY_TAKE` | `RestParam` will take ownership of the memory block, and `g_free()` it when it isn’t used.
`REST_MEMORY_COPY` | `RestParam` will make a copy of the memory block.